org.apache.felix.gogo.runtime

## Class Parser.Pipeline

- java.lang.Object
- - org.apache.felix.gogo.runtime.Token
  - - org.apache.felix.gogo.runtime.Parser.Executable
    - - org.apache.felix.gogo.runtime.Parser.Pipeline

All Implemented Interfaces:
  CharSequence

Enclosing class:
  Parser

    public static class Parser.Pipeline
    extends Parser.Executable

token1 | token2 | ...

### Field Summary

### Fields inherited from class org.apache.felix.gogo.runtime.Token

`ch, column, length, line, start`

### Constructor Summary

Constructors
Constructor and Description
`Pipeline(Token cs, List<Parser.Executable> tokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Parser.Executable>` `tokens()`

### Methods inherited from class org.apache.felix.gogo.runtime.Token

`charAt, column, eq, length, line, start, subSequence, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### Pipeline

    public Pipeline(Token cs,
                    List<Parser.Executable> tokens)

### Method Detail

#### tokens

    public List<Parser.Executable> tokens()